## Apache Zeta Components Manual :: Docs For Class ezcAuthenticationCredentials

### Authentication::ezcAuthenticationCredentials

### Class ezcAuthenticationCredentials

Base class for all authentication credentials structures.

Source for this file: /Authentication/src/credentials/credentials.php

    ezcBaseStruct
       |
       --ezcAuthenticationCredentials

Version: | //autogen//

### Descendants

Child Class | Description
--- | ---
ezcAuthenticationIdCredentials | Structure containing an id, used as authentication credentials.
ezcAuthenticationPasswordCredentials | Structure containing an id and password, used as authentication credentials.

### Method Summary

public abstract string | `__toString( )` Returns string representation of the credentials.

### Methods

#### __toString

string __toString( )

Returns string representation of the credentials.

Use it to save the credentials in the session.

##### Redefined in descendants as:

Method | Description
--- | ---
`ezcAuthenticationIdCredentials::__toString()` | Returns string representation of the credentials.
`ezcAuthenticationPasswordCredentials::__toString()` | Returns string representation of the credentials.

Documentation generated by phpDocumentor 1.4.3